#!/bin/sh
#
# (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
# (c) 2007-2009 Mandriva, http://www.mandriva.com
#
# $Id: build_mo.sh 4655 2009-10-27 09:30:05Z oroussy $
#
# This file is part of Mandriva Management Console (MMC).
#
# MMC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MMC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MMC.  If not, see <http://www.gnu.org/licenses/>.

for name in `find ${1} -type f -name *.po`
  do
    newname=`echo ${name} | sed 's!^\(.*\)/\(.*\).po$!\1/\2.mo!'`
    echo -n "Building ${name} as ${newname}..."
    msgfmt ${name} -o ${newname} || true
    echo "done"
  done

exit 0
