<?
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007 Mandriva, http://www.mandriva.com/
 *
 * $Id: select_location.php 6169 2010-03-24 08:06:42Z cdelfosse $
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require("modules/pulse2/includes/xmlrpc.inc.php");
require("modules/pulse2/includes/locations_xmlrpc.inc.php");

function select_locations($selected, $name = 'locations') {
    $sel = new SelectItem($name);
    $list = array();
    $locations = getUserLocations();
    if (is_array($locations)) {
        foreach ($locations as $loc) {
            $list[$loc['uuid']] = $loc['altname'];
        }
    } else {
        $locations = array();
    }
    $sel->setElements(array_values($list));
    $sel->setElementsVal(array_keys($list));
    $sel->setSelected($selected);
    return $sel;
}

?>
