<?
/*
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007 Mandriva, http://www.mandriva.com
 *
 * $Id: bundle_widgets.php 4764 2009-11-05 14:11:47Z oroussy $
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

Class RenderedMSCAptChoiceM {

	function RenderedMSCAptChoiceM(){
		$this->treatPost();
	}

	function treatPost(){

		if (isset($_POST["blaunchaptget"])) {
			$command_to_execute="";
			if ($_POST["elementare"] == "update" ) 
				$command_to_execute="apt-get update";
			if ($_POST["elementare"] == "upgrade" ) 
				$command_to_execute="apt-get -y upgrade";
			if ($_POST["elementare"] == "dist-upgrade" ) 
				$command_to_execute="apt-get -y dist-upgrade";
			if (isset($_POST["packagesinstall"]))
				$command_to_execute="apt-get install -y " . $_POST["packagesinstall"];  	
			if (isset($_POST["packagesremove"]))
				$command_to_execute="apt-get remove -y " . $_POST["packagesremove"];				
			echo ($command_to_execute);

			
			if ($command_to_execute != "" ){
				echo "Make  upgrade ou dist-upgrade!\n";
				//echo ("<br/>");
				//echo ($_POST["elementare"]);
				 
				if ($_SESSION["lang"] == "C") {
					$current_lang = "";
				} else {
					$current_lang = substr($_SESSION["lang"], 0, 2);
				}
				$target = array($_GET['uuid']);
				$id = add_command_quick_apt($command_to_execute, $target, $current_lang);
				//$id = add_command_quick_apt("echo \"Ok! this is my command!\" > /qwerty.txt", $target, $current_lang);
					
				 
				if ($id != -1) {
					scheduler_start_these_commands("", array($id));
					// if on a single computer
					if (count($_GET["gid"]) > 0) {
						$actionpage = 'groupmsctabs';
						$tab = 'grouptablogs';
					} else {
						$actionpage = 'msctabs';
						$tab = 'tablogs';
					}

					header("Location: ".urlStrRedirect("base/computers/$actionpage", array('tab'=>$tab, 'uuid'=>$_GET['uuid'], 'hostname'=>$_GET['hostname'], 'cmd_id'=>$id, 'gid'=>$_GET['gid'])));
				}
			}
		}

	}

	function display_start(){}

	function display_end(){}

	function display(){
		if ($_POST["elementare"] == "install" ){
			$f = new ValidatingForm(array('enctype'=>"multipart/form-data"));
			$f->push(new Table());
			$f->add( new TrFormElement(_T("Package(s) you wich to install:    <b>apt-get install</b> ", "packages"), new InputTpl("packagesinstall")), array("required" => True, "value"=>$packages));
			$f->pop();
			$f->addButton("blaunchaptget", _T("Launch Apt-get install"));
			$f->display();
		}
		elseif ($_POST["elementare"] == "remove" ){
			$f = new ValidatingForm(array('enctype'=>"multipart/form-data"));
			$f->push(new Table());
			$f->add( new TrFormElement(_T("Package(s) you wich to remove:    <b>apt-get remove</b> ", "packages"), new InputTpl("packagesremove")), array("required" => True, "value"=>$packages));
			$f->pop();
			$f->addButton("blaunchaptget", _T("Launch Apt-get remove"));
			$f->display();
		}
		else{
			$f = new ValidatingForm(array('enctype'=>"multipart/form-data"));
			$f->push(new Table());
			$r = new RadioTpl('elementare');
			$r->setChoices(array(_T('apt-get update', 'dyngroup'),_T('apt-get upgrade', 'dyngroup'), _T('apt-get dist-upgrade', 'dyngroup'), _T('I want to specifiy package(s) to <b>install</b>', 'dyngroup'),_T('I want to specifiy package(s) to <b>remove</b>', 'dyngroup')));
			$r->setValues(array('update','upgrade', 'dist-upgrade','install','remove'));
			$f->add( new TrFormElement(_T("Select command you wich to run:", "dyngroup"), $r), array("required" => True));
			//$f->add( new TrFormElement(_T("Package(s) you wich to install:    <b>apt-get install</b> ", "packages"), new InputTpl("packages")), array("required" => True, "value"=>$packages));
			$f->pop();
			$f->addButton("blaunchaptget", _T("Launch Apt-get"));
			$f->display();			 
		}		 
	}
}



