#!/bin/bash


IPADDRESS=`ifconfig eth0 | grep 'inet ' | awk '{print $2}' | sed 's/addr://'`
echo "My IP address is $IPADDRESS"

lastIP=`cat /etc/mmc/plugins/msc.ini | grep mserver | cut -d'=' -f2 | sed 's/^ *\(.*\) *$/\1/'`
echo "My last IP was $lastIP"



# /etc/mmc/plugins/msc.ini
sed -i "s/mserver = $lastIP/mserver = $IPADDRESS/" /etc/mmc/plugins/msc.ini
sed -i "/\[scheduler_api\]/{n; s/host = $lastIP/host = $IPADDRESS/}" /etc/mmc/plugins/msc.ini

# /etc/mmc/pulse2/package-server/package-server.ini
sed -i "6s/^host = $lastIP/host = $IPADDRESS/" /etc/mmc/pulse2/package-server/package-server.ini

# Config pkgs.ini
sed -i "s/server = $lastIP/server = $IPADDRESS/" /etc/mmc/plugins/pkgs.ini

# Package Server IP address
sed -i "s/host = $lastIP/host = $IPADDRESS/" /etc/mmc/pulse2/imaging-server/imaging-server.ini

/etc/init.d/task-pulse-apt restart
