<?
/*
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007 Mandriva, http://www.mandriva.com
 * 
 * $Id: bundle_widgets.php 4764 2009-11-05 14:11:47Z oroussy $
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

Class RenderedMSCAptChoiceM {

	private $transactions; 
	private $TCommandExecuted;
	private $Tdate;
	private $TVersionInstalled;
	private $TPreviousVersion;	
	private $TransactionType;	
	private $date;
	private $isRollbackTransaction;
	
	function RenderedMSCAptChoiceM(){
		$this->treatPost();
	}

	function unix_timestamp_to_human ($timestamp = "", $format = 'D d M Y - H:i:s')
	{
	    if (empty($timestamp) || ! is_numeric($timestamp)) $timestamp = time();
	    return ($timestamp) ? date($format, $timestamp) : date($format, $timestamp);
	}
	
	function treatPost(){
		
		
		if (isset($_POST["blaunchaptgetroll"])) {
			$command_to_execute="apt-get -y rollback " . $_POST["transactionRollID"]; 
			if ($_SESSION["lang"] == "C") {
						$current_lang = "";
					} else {
						$current_lang = substr($_SESSION["lang"], 0, 2);
					}
					$target = array($_GET['uuid']);
					$id = add_command_quick_apt($command_to_execute, $target, $current_lang);
					//$id = add_command_quick_apt("echo \"Ok! this is my command!\" > /qwerty.txt", $target, $current_lang);
						
					 
					if ($id != -1) {
						scheduler_start_these_commands("", array($id));
						// if on a single computer
						if (count($_GET["gid"]) > 0) {
							$actionpage = 'groupmsctabs';
							$tab = 'grouptablogs';
						} else {
							$actionpage = 'msctabs';
							$tab = 'tablogs';
						}
	
						header("Location: ".urlStrRedirect("base/computers/$actionpage", array('tab'=>$tab, 'uuid'=>$_GET['uuid'], 'hostname'=>$_GET['hostname'], 'cmd_id'=>$id, 'gid'=>$_GET['gid'])));
					}	
		}		
		
		// vai ler o ficheiro de rollback do cliente
		$ret = scheduler_aptrollback_hist('', $_GET["uuid"]);		
		$ret1=$ret;
		$this->transactions=array();
		// A extrair os TID's do XML
		do{ 
			$i=strpos($ret,"transaction id=");
			$fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),">");
						
			if ($i!=""){
			    $auxstr=substr($ret,$i,$fecho_da_tag);
			    $this->transactions[]=substr($auxstr,16,(strpos($auxstr,'"')-16));
			    //$this->transactions[]=$auxstr;
	
			}
			$ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
		} 
		while ($i!="");
		$ret=$ret1;
	
		$ret1=$ret;
		$this->Tdate=array();
		#// A extrair as Datas do XML
		do{
		  $i=strpos($ret,"<date>");
		  $fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),"</");
		  if ($i!=""){
		    $this->Tdate[]=$this->unix_timestamp_to_human(substr($ret,$i+6,$fecho_da_tag-6));
		  }	
		  $ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
		}
		while ($i!="");
		$ret=$ret1;
		
		$ret1=$ret;
		$this->TcommandExecuted=array();
		#// A extrair as Datas do XML
		do{
		  $i=strpos($ret,"<command>");
		  $fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),"</");
		  if ($i!=""){
		    $this->TcommandExecuted[]="<b>" . substr($ret,$i+9,$fecho_da_tag-9) . "</b>";
		  }	
		  $ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
		}
		while ($i!="");
		$ret=$ret1;

		if (isset($_GET["transaction"])){
	
			$startIn=str_replace("\\","",$_GET["transaction"]);
			$startIn='transaction id="'.$_GET["transaction"].'"';

			$i=strpos($ret,$startIn);
			$ret=substr($ret,$i,strlen($ret)-$i);
			$stopIn="</transaction>";
			$i=strpos($ret,$stopIn);
			$ret=substr($ret,0,$i);
			$ret1=$ret;
			$this->transactions=array();
			// A extrair os package names do XML
			do{ 
				$i=strpos($ret,"package name=");
				$fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),">");
							
				if ($i!=""){
				    $auxstr=substr($ret,$i,$fecho_da_tag);
				    $this->transactions[]=substr($auxstr,14,(strpos($auxstr,'"')-14));
				}
				$ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
			} 
			while ($i!="");
			$ret=$ret1;

			// GET Version Installed
			$ret1=$ret;
			$this->TVersionInstalled=array();
			#// A extrair as Datas do XML

			do{
			  $i=strpos($ret,"<versionInstalled>");
			  $fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),"</");
			  if ($i!=""){
			    $this->TVersionInstalled[]=substr($ret,$i,$fecho_da_tag);
			  }	
			  $ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
			}
			while ($i!="");
			$ret=$ret1;

			// GET Previous Version
			$ret1=$ret;
			$this->TPreviousVersion=array();
			#// A extrair as Datas do XML

			do{
			  $i=strpos($ret,"<previousVersion>");
			  $fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),"</");
			  if ($i!=""){
			    $this->TPreviousVersion[]=substr($ret,$i,$fecho_da_tag);
			  }	
			  $ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
			}
			while ($i!="");
			$ret=$ret1;
			
			// GET Transaction Type
			$ret1=$ret;
			$this->TransactionType=array();
			#// A extrair as Datas do XML
			$this->isRollbackTransaction=false;
			do{
			  $i=strpos($ret,"<type>");
			  $fecho_da_tag=strpos(substr($ret,$i,strlen($ret)-i),"</");
			  if ($i!=""){
			      if (strcmp(substr($ret,$i,$fecho_da_tag),"<type>R")==0)
				$this->isRollbackTransaction=true;
			      $this->TransactionType[]=substr($ret,$i,$fecho_da_tag);
			  }	
			  $ret=substr($ret,$i+$fecho_da_tag,strlen($ret)-$i-$fecho_da_tag);
			}
			while ($i!="");
			$ret=$ret1;
			
		}

	}



	

	function display(){
		
			
		
          
          
		
		
		
		  $uid=$_GET["uuid"];	
		  $hostname=$_GET['hostname'];
		  //$TID = array("apple", "banana", "lemon", "papaya", "fig", "olive", "clementine", "orange", "mandarin", "grapes", "kumquat");
		  $TID = $this->transactions; 
		  $Date = $this->Tdate;
          $CommandExecuted = $this->TcommandExecuted;
		  //$Date = array("5", "8", "40", "12", "40", "51", "12", "7", "9", "15", "21");
          
          //$TID=new Array("ewed","d#","#$","fsdf","fdaf","dffas","fasd");
	  if (!isset($_GET["transaction"])){

	    $l = new ListInfos($TID, _T("TransactionID"));
	    $l->disableFirstColumnActionLink();
	    $l->addExtraInfo($CommandExecuted, _T("Command"));
	    $l->addExtraInfo($Date, _T("Date"));
	    $l->setName(_T("Transactions"));
	    
	    $l->addActionItem(new ActionItem(_T("View Transaction"), "msctabs", "display", "transaction","base","computers","tabaptroll&uuid=".$uid."&hostname=".$hostname.""));
	  // $l->addActionItem(new ActionItem(_T("Rollbak"), "install", "install", "transaction"));
	    
	    $l->display();       
		
	  }else{
	    //echo "<b>Details of Transaction: " . substr($_GET["transaction"],17,(strrpos($_GET["transaction"],"\\")-17)) . "</b>";
	    echo '<b>Details of Transaction: '. $_GET["transaction"] .  '</b>';
	    $l = new ListInfos($TID, _T("PackageName"));
	    
	    $l->addExtraInfo($this->TransactionType, _T("Transaction Type"));
	    $l->addExtraInfo($this->TVersionInstalled, _T("Version Installed"));
	    $l->addExtraInfo($this->TPreviousVersion, _T("Previous Version"));
	    $l->setName(_T("Transactions"));
	    
	    
	  // $l->addActionItem(new ActionItem(_T("Rollbak"), "install", "install", "transaction"));





	    $l->display();      
		
	    if (!$this->isRollbackTransaction){

		  $f = new ValidatingForm(array('enctype'=>"multipart/form-data"));
		  $f->push(new Table());
		  echo "<b>Do you really want to rollback the current Transaction?  </b>";
		  echo "<br/>";
		  $tid= str_replace("%\\%","",$_GET["transaction"]);
	  
		  $tid = $_GET["transaction"];
		  
		  
		  echo '<input type="hidden" id="transactionRollID" name="transactionRollID" value="' . $tid . '"/>';
		  
	  
		  $f->pop();
		  $f->addButton("blaunchaptgetroll", _T("Launch apt-get rollback"));
		  $f->display();	     
	    }
	  }


		
		
	}
}


